## org.beepcore.beep.util
Class HeaderParser

    java.lang.Object
      org.beepcore.beep.util.HeaderParser

public class HeaderParser
extends java.lang.Object

Constructor Summary
`HeaderParser(byte[] buf, int len)`

Method Summary
`boolean` `hasMoreTokens()`
`int` `parseInt()`
`boolean` `parseLast()`
`char[]` `parseType()`
`long` `parseUnsignedInt()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HeaderParser

    public HeaderParser(byte[] buf,
                        int len)

Method Detail

### hasMoreTokens

    public boolean hasMoreTokens()

### parseLast

    public boolean parseLast()
                      throws BEEPException

  Throws:
    `BEEPException`

### parseInt

    public int parseInt()
                 throws BEEPException

  Throws:
    `BEEPException`

### parseUnsignedInt

    public long parseUnsignedInt()
                          throws BEEPException

  Throws:
    `BEEPException`

### parseType

    public char[] parseType()
                     throws BEEPException

  Throws:
    `BEEPException`

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.